Bug 977368 - tpp has invalid dependency on epel6
tpp has invalid dependency on epel6
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: tpp (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Jesus M. Rodriguez
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-24 07:51 EDT by Tuomo Soini
Modified: 2014-02-18 18:02 EST (History)
2 users (show)

See Also:
Fixed In Version: tpp-1.3.1-17.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-11 18:06:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tuomo Soini 2013-06-24 07:51:19 EDT
Description of problem:

tpp-1.3.1-9.el6.noarch
  unresolved deps: 
     vim-filesystem


vim-filesystem is not available on epel6/rhel6.
Comment 1 Tuomo Soini 2013-11-19 02:57:34 EST
tpp is still not installable on epel6 because of the vim-filesystem requirement which is not available on rhel6. Please fix.
Comment 2 Tuomo Soini 2013-11-19 03:06:52 EST
vim 7.3.011-3 added the vim-filesystem sub-package.
Comment 3 Jesus M. Rodriguez 2013-11-19 22:33:30 EST
completely fell off my radar. Thanks for the update.
Comment 4 Anssi Johansson 2013-12-03 19:38:59 EST
Bug 1037865 seems to have a fix for this problem.
Comment 5 Kashyap Chamarthy 2014-01-13 09:34:25 EST
Jesus, are you going commit this to dist-git? Adam Miller fixed the dependency problems and has a working SPEC here:

  http://maxamillion.fedorapeople.org/tpp.spec
Comment 6 Jesus M. Rodriguez 2014-01-15 22:05:32 EST
I updated the package in all branches tonight.

http://koji.fedoraproject.org/koji/buildinfo?buildID=491454
Comment 7 Tuomo Soini 2014-01-31 01:41:12 EST
New package doesn't resolve this issue and add new issue, dependency for ruby(release) which is not available on epel6.

Commit: 38a289ec4642b6b9d1d03de37c21c3db6d94536c was suppose to fix the vim-filesystem dependency issue but it didn't include any changes.

but there is no change to dependencies in the spec so actual fix was not included.

Commit: 6aefe21bc9a523da8ffebfc1d1ca0b1f9458a885 add this new broken ruby(release) dependency which shouldn't be there for epel6.

The spec mentioned in Comment 5 has fixes for both of these issues.
Comment 8 Jesus M. Rodriguez 2014-01-31 11:35:37 EST
(In reply to Tuomo Soini from comment #7)
> New package doesn't resolve this issue and add new issue, dependency for
> ruby(release) which is not available on epel6.
> 
> Commit: 38a289ec4642b6b9d1d03de37c21c3db6d94536c was suppose to fix the
> vim-filesystem dependency issue but it didn't include any changes.
> 
> but there is no change to dependencies in the spec so actual fix was not
> included.
> 
> Commit: 6aefe21bc9a523da8ffebfc1d1ca0b1f9458a885 add this new broken
> ruby(release) dependency which shouldn't be there for epel6.
> 
> The spec mentioned in Comment 5 has fixes for both of these issues.

UGH, I completely messed up that patch! DAMN! I'll get that done today.
Comment 9 Fedora Update System 2014-01-31 12:26:39 EST
tpp-1.3.1-17.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/tpp-1.3.1-17.el6
Comment 10 Fedora Update System 2014-01-31 12:27:52 EST
tpp-1.3.1-17.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/tpp-1.3.1-17.fc20
Comment 11 Fedora Update System 2014-01-31 12:29:07 EST
tpp-1.3.1-17.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/tpp-1.3.1-17.fc19
Comment 12 Fedora Update System 2014-02-02 14:49:15 EST
Package tpp-1.3.1-17.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing tpp-1.3.1-17.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-0426/tpp-1.3.1-17.el6
then log in and leave karma (feedback).
Comment 13 Fedora Update System 2014-02-11 18:06:09 EST
tpp-1.3.1-17.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2014-02-11 18:17:16 EST
tpp-1.3.1-17.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2014-02-18 18:02:24 EST
tpp-1.3.1-17.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.